Vector.Norm

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## no.uib.cipr.matrix
Enum Vector.Norm

    java.lang.Object
      java.lang.Enum<Vector.Norm>
          no.uib.cipr.matrix.Vector.Norm

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Vector.Norm>

Enclosing interface:
  Vector

    public static enum Vector.Norm

extends java.lang.Enum<Vector.Norm>

Supported vector-norms. The difference between the two 2-norms is that one is fast, but can overflow, while the robust version is overflow resistant, but slower.

Enum Constant Summary
`Infinity` Largest entry in absolute value
`One` Sum of the absolute values of the entries
`Two` The root of sum of squares
`TwoRobust` As the 2 norm may overflow, an overflow resistant version is also available.

Method Summary
`static Vector.Norm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Vector.Norm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### One

    public static final Vector.Norm One

  Sum of the absolute values of the entries

### Two

    public static final Vector.Norm Two

  The root of sum of squares

### TwoRobust

    public static final Vector.Norm TwoRobust

  As the 2 norm may overflow, an overflow resistant version is also available. Note that it may be slower.

### Infinity

    public static final Vector.Norm Infinity

  Largest entry in absolute value

Method Detail

### values

    public static final Vector.Norm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Vector.Norm c : Vector.Norm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Vector.Norm valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD